Name:          gocr
Version:       0.52
Release:       2mamba
Summary:       GOCR/JOCR is an optical character recognition program
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://jocr.sourceforge.net/
Source:        http://www-e.uni-magdeburg.de/jschulen/ocr/gocr-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libnetpbm-devel
## AUTOBUILDREQ-END
BuildRequires: transfig
BuildRequires: pam-devel
Obsoletes:     gocr-devel <= 0.52-1mamba

%description
GOCR/JOCR is an optical character recognition program, released under the GNU General Public License.
It reads images in many formats (pnm, pbm, pgm, ppm, some pcx and tga image files (or PNM from stdin) and outputs a text file; if
pnm-tools are installed and running on a linux-like system you can also use pnm.gz, pnm.bz2, png, jpg, tiff, gif, bmp and others.

%package devel
Summary:       Development tools for gocr
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
If you want to develop programs which will manipulate gocr, you should install this package.

%debug_package

%prep
%setup -q
%configure

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/gocr
%{_bindir}/gocr.tcl
%{_mandir}/man1/gocr.*
%doc AUTHORS CREDITS

#%files devel
#%defattr(-,root,root)
#%{_includedir}/gocr.h
#%{_libdir}/libPgm2asc.a
#%doc BUGS HISTORY README READMEde.txt REMARK.txt REVIEW TODO
#%doc doc/examples.txt doc/gocr.html doc/unicode.txt

%changelog
* Tue Jan 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.52-2mamba
- rebuilt with debug package and specfile fixes

* Tue Dec 11 2018 Automatic Build System <autodist@mambasoft.it> 0.52-1mamba
- automatic version update by autodist

* Mon Oct 02 2017 Automatic Build System <autodist@mambasoft.it> 0.51-1mamba
- automatic version update by autodist

* Thu Apr 18 2013 Automatic Build System <autodist@mambasoft.it> 0.50-1mamba
- automatic version update by autodist

* Wed Apr 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.49-1mamba
- update to 0.49

* Tue Aug 28 2007 Aleph0 <aleph0@openmamba.org> 0.44-2mamba
- move development documentation to devel package
- add build requirements

* Sat Aug 18 2007 Fabio Giani <fabio.giani@email.it> 0.44-1mamba
- update to 0.44

* Mon Apr 18 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.40-2qilnx
- rebuild and moved from devel-contrib repository to devel repository

* Fri Apr 01 2005 <Matteo Bernasconi <voyagernm@virgilio.it> 0.40-1qilnx
- Update to new release

* Tue Sep 07 2004  <Matteo Bernasconi <voyagernm@virgilio.it> 0.39-1qilnx
- first build
